!```````````````````````````````````````````````````````````````````
module sfc_environment_Mars

!~ 20.11.2008 (last modified; TIM)

!+

implicit none

private

integer, public, parameter :: heterogeneous_ptype = 1  &
                                  ,H2Oi_slab_ptype = 2  &
                                  ,H2Oi_frost_ptype = 3  &
                                  ,CO2i_slab_ptype = 4  &
                                  ,CO2i_frost_ptype = 5  &
                                  ,dust_ptype = 6

integer, public, allocatable, dimension(:) :: patch_type

integer :: n_patches
integer, public :: heterogeneous_ip

public :: sfcenv_Mars_init

contains


!```````````````````````````````````````````````````````````````````
subroutine sfcenv_Mars_alloc(want_to_allocate)

!~ 20.11.2008 (last modified; TIM)

!+ Allocate some time-independent module variables

!===================================================================
!----- IN ----------------------------------------------------------
! 'want_to_allocate' = .TRUE. -> allocate, .FALSE. -> deallocate  

implicit none

!=== Argument declarations:

logical, intent(IN) :: want_to_allocate

!== Local declarations:

! NONE

!=== Executable statements:

if(want_to_allocate) then
   
   allocate(patch_type(n_patches))

else

   deallocate(patch_type)

endif

end subroutine sfcenv_Mars_alloc


!```````````````````````````````````````````````````````````````````
subroutine sfcenv_Mars_init(n_patches_cfg)

!~ 20.11.2008 (last modified; TIM)

!+ Allocate some time-independent module variables

!===================================================================
!----- IN ----------------------------------------------------------
! 'n_patches_cfg' = (Maximum) number of sub-/super- surface patches to use 

implicit none

!=== Argument declarations:

integer, intent(IN) :: n_patches_cfg

!== Local declarations:

! NONE

!=== Executable statements:

n_patches = n_patches_cfg

call sfcenv_Mars_alloc(.TRUE.)

end subroutine sfcenv_Mars_init


end module sfc_environment_Mars
