!~ 20.11.2003

!pgf90 ~/CO2H2O_X_convert.f90 read_byteswapped_data.o precision.o

!"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
!+ Converts CO2/H2O k-coefficients (from NASA Ames) to PRAMS-usable
!   (little-endian byte order) format
!~ 20.11.2003 TIM

program CO2H2O_X_convert

use precision, only: native_i,native_f,io8byte

implicit none

integer(native_i), parameter :: L_NPREF = 11  &
                               ,L_NTREF =  7  &
                               ,L_REFH2O = 10  &     
                               ,NSOL = 7  &
                               ,NIR = 5  &
                               ,NGAUSS = 16

real(io8byte), dimension(L_NTREF,L_NPREF,L_REFH2O,NIR,NGAUSS+1) :: co2i8
real(io8byte), dimension(L_NTREF,L_NPREF,L_REFH2O,NSOL,NGAUSS+1) :: co2v8


! Read IR file data [actually has a second record as well -- fzeroi(NIR)]:

call read_swapd_8F_s5D(L_NTREF,L_NPREF,L_REFH2O,NIR,NGAUSS+1,co2i8  &
     ,'./CO2H2O_IR_12_95',45)

! Read V file data [actually has a second record as well -- fzerov(NSOL)]:

call read_swapd_8F_s5D(L_NTREF,L_NPREF,L_REFH2O,NSOL,NGAUSS+1,co2v8  &
     ,'./CO2H2O_V_12_95',45)

! Write new files:

open(54,file='./CO2H2O_IR_12_95-LE',status='UNKNOWN',form='unformatted')
write (54) co2i8
close(54)

open(54,file='./CO2H2O_V_12_95-LE',status='UNKNOWN',form='unformatted')
write (54) co2v8
close(54)

! Finished...

stop '*** Finished successfully ***'
end program CO2H2O_X_convert

