#!/bin/sh

#+

UNIV_LIB_ROOT=../../../../../universal_lib;
PRAMS_ROOT=../../../..;

EXE_FN=topo_MOLA_global4-convert_to_nc;
SRC_FN=topo_MOLA_global4-convert_to_nc.f90;

UNIV_LIB_WORKDIR=${UNIV_LIB_ROOT}/infrastructure/build/work;
PRAMS_WORKDIR=${PRAMS_ROOT}/Mars/infrastructure/build/work;

# Compiler and optional arguments:

FC=gfortran;

FC_FLAGS="-v -Wextra -Wall -fbacktrace -pedantic -g -frecord-marker=4 -fcheck=all -ffpe-trap=zero,invalid,overflow";   # Debug
#FC_FLAGS="-v -Wextra -Wall -fbacktrace -pedantic -O3 -frecord-marker=4 -ffpe-trap=zero,invalid";   # Optimized

  # Add any -L options here, as well:
NETCDF_LIB="-lnetcdf -lnetcdff";

# Clean up previous build debris:

if test -f "$EXE_FN"; then
    rm -f "$EXE_FN";
fi

# Compile X-endian data I/O routines:

$FC -c ${FC_FLAGS} -I${PRAMS_WORKDIR} -I${UNIV_LIB_WORKDIR};

# Build albedo conversion program:

$FC -o "$EXE_FN" ${FC_FLAGS} -I${PRAMS_WORKDIR} -I${UNIV_LIB_WORKDIR} \
     ${SRC_FN} -L${PRAMS_WORKDIR} -L${UNIV_LIB_WORKDIR} \
    -luniversal_lib ${NETCDF_LIB};

# Remove debris:

rm -f ${SRC_FN}.o;

echo
echo "========= topo conversion build finished.";
echo
